> ## Documentation Index
> Fetch the complete documentation index at: https://docs.greetincs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Check



## OpenAPI

````yaml /openapi-web.json get /health
openapi: 3.1.0
info:
  title: GreetIncs API
  description: Analyze any business via API
  version: 0.1.0
servers: []
security: []
tags:
  - name: health
    x-displayName: Health
  - name: analyses
    x-displayName: Analyses
  - name: prompts
    x-displayName: Prompts
paths:
  /health:
    get:
      tags:
        - health
      summary: Health Check
      operationId: health_check_health_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: Response Health Check Health Get
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security: []
components:
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for authentication errors.
                properties:
                  title:
                    default: Unauthorized
                    title: Title
                    type: string
                  status:
                    default: 401
                    title: Status
                    type: integer
                  detail:
                    default: Authentication required
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: UnauthorizedError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    PaymentRequired:
      description: Payment Required
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for payment required errors.
                properties:
                  title:
                    default: Payment Required
                    title: Title
                    type: string
                  status:
                    default: 402
                    title: Status
                    type: integer
                  detail:
                    default: Payment required
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: PaymentRequiredError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    Forbidden:
      description: Forbidden
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for authorization errors.
                properties:
                  title:
                    default: Forbidden
                    title: Title
                    type: string
                  status:
                    default: 403
                    title: Status
                    type: integer
                  detail:
                    default: Access forbidden
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: ForbiddenError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object
    InternalServerError:
      description: Internal Server Error
      content:
        application/problem+json:
          schema:
            additionalProperties: false
            description: >-
              Error response wrapper for problem details that can be returned
              directly from FastAPI.
            properties:
              response_type:
                default: ErrorResponse
                description: Always 'ErrorResponse' for error responses
                examples:
                  - ErrorResponse
                title: Response Type
                type: string
              data:
                additionalProperties: true
                description: Problem detail for internal server errors.
                properties:
                  title:
                    default: Internal Server Error
                    title: Title
                    type: string
                  status:
                    default: 500
                    title: Status
                    type: integer
                  detail:
                    default: Internal server error
                    title: Detail
                    type: string
                  instance:
                    anyOf:
                      - type: string
                      - type: 'null'
                    default: null
                    description: >-
                      A URI reference that identifies the specific occurrence of
                      the problem
                    examples:
                      - https://urlyourequest.com/path?query=value
                    title: Instance
                title: InternalServerError
                type: object
            required:
              - data
            title: ErrorResponse
            type: object

````